Subject: [PATCH 0/6] PCI: imx6: Random fixes

From: [email-masked] (Marek Vasut)
Date: Wed, 30 Oct 2013 15:52:28 +0100

Dear Bjorn Helgaas,

> On Tue, Oct 15, 2013 at 10:06 AM, Marek Vasut <[email-masked]> wrote:
> > Set of random fixes for the PCIe driver for i.MX6 . With these fixes, my
> > setup with MX6Q -> PCIe bridge -> i210 ethernet adapter works as
> > expected.
> > 
> > NOTE: I'm sure this will start some discussion. There are quite a few
> > patches
> > 
> >       that are more of a hacks. Shawn, I didn't ignore your remark about
> >       the clock patches, I will test it ASAP, I just want to have these
> >       fixes in the public so others can comment/test.
> > 
> > Marek Vasut (6):
> >   PCI: imx6: Make reset-gpio optional
> >   PCI: imx6: Fix the clock for PCIe
> >   ARM: dts: imx6qdl: Fix the clock for PCIe
> >   PCI: imx6: Probe the PCIe in fs_initcall()
> >   PCI: imx6: Force Gen1 operation
> >   PCI: designware: Fix DT resource retrieval
> >  
> >  .../devicetree/bindings/pci/designware-pcie.txt    |  2 +-
> >  arch/arm/boot/dts/imx6qdl.dtsi                     |  4 +-
> >  drivers/pci/host/pci-imx6.c                        | 63
> >  ++++++++++++++++------ drivers/pci/host/pcie-designware.c              
> >    | 17 +++---
> >  4 files changed, 55 insertions(+), 31 deletions(-)
> 
> I'm ignoring this series for now.  I assume you'll post an updated
> series as mentioned in your Oct 17 response to "[Patch 5/6] PCI: imx6:
> Force Gen1 operation."  Please mark that series as "v2" when you post
> it.  My assumption is still that Shawn Guo will ack the
> drivers/pci/host/ pieces before I apply them [1].

Can you maybe pick at least these two:

PCI: imx6: Make reset-gpio optional
PCI: imx6: Probe the PCIe in fs_initcall()

I think they should be harmless and the later one fixes a problem on MX6. I'm 
now digging in the PCIe MX6 again btw.

Best regards,
Marek Vasut